models/mapobjects/lamps/grid_yellow
{
	q3map_lightimage models/mapobjects/lamps/grid_yellow.tga
    qer_editorimage models/mapobjects/lamps/grid_yellow.tga
    q3map_surfacelight 10000
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen vertex
    }
    {
        map models/mapobjects/lamps/grid_yellow.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen vertex
    }
    {
        map models/mapobjects/lamps/grid_yellow.tga
        blendFunc GL_ONE GL_ONE
    }
}



models/mapobjects/vehicles/sub5
{
	surfaceparm metalsteps

	{
		map models/mapobjects/vehicles/sub5.tga
		rgbGen identity
	}
}
textures/decals/luff2
{
	polygonOffset
	entityMergable
	{
		map textures/decals/luff2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/decals/oil_slick
{
	polygonOffset
	entityMergable

	surfaceparm slick
	{
		map textures/decals/oil_slick.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/effects/wdfx_W.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE 
		tcmod scale 2 2
		tcGen environment
	}

}
textures/wp_uboat/gun_guard
{
	surfaceparm metalsteps
	surfaceparm nolightmap
	{
		map textures/wp_uboat/gun_guard.tga
		rgbGen vertex
	}
}
textures/electronics/radar_01
{      

     	{
		map textures/electronics/radarsweep.tga
		rgbGen identity
		tcMod rotate 120
	//	rgbgen wave triangle 0 1 0 7
	//	tcMod scroll 1 0
	}


	{
		map textures/electronics/radarbeeps.tga
		blendfunc blend
		tcMod scroll .01 .001
		rgbGen wave sin 1 .3 0 .25
	}
	{
		map textures/electronics/radar_01.tga
		blendfunc blend
		rgbGen vertex
	}
}
textures/awf_props/tool_m07
{
    surfaceparm metalsteps
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/awf_props/tool_m07.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/sub2/9
{
	polygonOffset
	entityMergable
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/sub2/9.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/sub2/doggy
{
	nomipmaps
    nopicmip
	nocompress
	{
		map textures/sub2/doggy.jpg
		rgbGen vertex
		alphaGen vertex
	}
}

textures/liquids/mp_sub_water

//Sippy's Test Water
		
	{
		qer_editorimage textures/liquids/pool3d_3f.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 512
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	

		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
	//	{ 
	//		map textures/liquids/pool3d_3f.tga
	//		blendFunc GL_dst_color gl_one
	//		rgbgen identity
	//		tcmod scale -1 -1
	//		tcmod scroll .025 .025
	//	}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}
	


models/mapobjects/wp_prop/wp_fire_ex_alpha
{
	surfaceparm nomarks
	cull twosided
	{
	map models/mapobjects/wp_prop/wp_fire_ex.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbGen vertex
		alphaGen vertex
	}
}

textures/sfx/saftey_glass
{
	qer_editorimage textures/common/s_glass.tga		
	surfaceparm alphashadow
	surfaceparm glass 
	surfaceparm trans
//	cull none
	qer_trans 	0.5
	surfaceparm trans

	{
		map textures/common/s_glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/sfx/xflame2_1750_nolick
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 1750
	qer_editorimage textures/sfx/flame1.tga

	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga


		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8 textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
//		rgbGen identity	
	}
}

textures/decals/S_CHECKPOINT
{
	polygonOffset
	entityMergable


	{
		map textures/decals/S_CHECKPOINT.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex

	}
}